Subject: Re: compilation problem
From: [email-masked] (Arne K. Frick)

24 Mar 1998 17:29:09 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Mumit Khan" <[email-masked]>
Cc: <[email-masked]>

>Almost impossible to tell what's wrong unless you tell us more! For
>starters, what are the flags passed to gcc?
>
>Looks suspiciously like using '-vtable-thunks' which doesn't work for
>i386-cygwin32.

Here's the long version.  I am not knowingly using the '-vtable-thunks',
just regular '-w...' options, '-D' defines.  The only thing I'm suspicient
about is the '-fPIC' statement to produce shared libraries:

g++  -I../../.. -I../../../utils/lib/gnuwin32-gcc272   -c -O -fPIC  -DTS_COM
PILE
_AT_TOM_SAWYER -DTS_COMPILE_CIRCULAR -DTS_COMPILE_HIERARCHICAL -DTS_COMPILE_
ORTH
OGONAL -DTS_COMPILE_SYMMETRIC -DTS_EXCLUDE_BACKWARD_COMPATIBLE -DTS_EXCLUDE_
C_AP
I -DTS_DEBUG -Wall -Winline -Wconversion -Wpointer-arith -ansi  -o
tscompdi.o .
../../tscompdi.cpp
.../../../utils/tspoint.h: In method `int TSPoint::ccw(class TSPoint *, class
TSP
oint *)':
In file included from ../../../utils/tsrect.h:33,
                 from ../../../drawing/tstransf.h:32,
                 from ../../../drawing/tspsctrl.h:26,
                 from ../../../drawing/tsdigrap.h:31,
                 from ../../../olayout/tsgrid.h:45,
                 from ../../../olayout/tsgridli.h:36,
                 from ../../tscompdi.cpp:28:
.../../../utils/tspoint.h:103: warning: can't inline call to `long int
TSPoint::s
ignedArea2(class TSPoint *, class TSPoint *)'
.../../../utils/tspoint.h:383: warning: called from here
.../../../drawing/tsnode.h: In method `TSNode::TSNode(class TSDigraph *)':
In file included from ../../../drawing/tsedge.h:27,
                 from ../../../drawing/tspsarro.h:29,
                 from ../../../drawing/tspsctrl.h:30,
                 from ../../../drawing/tsdigrap.h:31,
                 from ../../../olayout/tsgrid.h:45,
                 from ../../../olayout/tsgridli.h:36,
                 from ../../tscompdi.cpp:28:
.../../../drawing/tsnode.h:375: warning: can't inline call to `int
TSNode::isPath
Node(int)'
.../../../drawing/tsnode.h:572: warning: called from here
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s: Assembler messages:
d:\tmp\cc001044.s:119: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:147: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:174: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:198: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:231: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:311: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:461: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:600: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:784: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:941: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:973: Error: Cannot represent relocation type
BFD_RELOC_386_GOT
PC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1041: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1252: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1287: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1324: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1363: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1404: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1466: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1501: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1545: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
/usr/i386-cygwin32/bin/as.exe: bfd assertion fail
/home/noer/src/97r2/devo/bfd/c
off-i386.c:424
d:\tmp\cc001044.s:1580: Error: Cannot represent relocation type
BFD_RELOC_386_GO
TPC
make[2]: *** [tscompdi.o] Error 1

This behavior is consistent for all files in all shared libraries I am
trying to compile.  The same code compiles fine using gcc-2.7.2 under
Solaris, Linux and other OS's.

-- Arne

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".